### This file is automatically generated by modules-update
#
# Please do not edit this file directly. If you want to change or add
# anything please take a look at the files in /etc/modules.d and read
# the manpage for modules-update.
#
### modules-update: start processing /etc/modules.d/aliases
# Aliases to tell insmod/modprobe which modules to use 

# Uncomment the network protocols you don't want loaded:
# alias net-pf-1 off		# Unix
# alias net-pf-2 off		# IPv4
# alias net-pf-3 off		# Amateur Radio AX.25
# alias net-pf-4 off		# IPX
# alias net-pf-5 off		# DDP / appletalk
# alias net-pf-6 off		# Amateur Radio NET/ROM
# alias net-pf-9 off		# X.25
# alias net-pf-10 off		# IPv6
# alias net-pf-11 off		# ROSE / Amateur Radio X.25 PLP
# alias net-pf-19 off		# Acorn Econet

alias char-major-10-175	agpgart
alias char-major-10-200	tun
alias char-major-81	bttv
alias char-major-108	ppp_generic
alias /dev/ppp		ppp_generic
alias tty-ldisc-3	ppp_async
alias tty-ldisc-14	ppp_synctty
alias ppp-compress-21	bsd_comp
alias ppp-compress-24	ppp_deflate
alias ppp-compress-26	ppp_deflate

# Crypto modules (see http://www.kerneli.org/)
alias loop-xfer-gen-0	loop_gen
alias loop-xfer-3	loop_fish2
alias loop-xfer-gen-10	loop_gen
alias cipher-2		des
alias cipher-3		fish2
alias cipher-4		blowfish
alias cipher-6		idea
alias cipher-7		serp6f
alias cipher-8		mars6
alias cipher-11		rc62
alias cipher-15		dfc2
alias cipher-16		rijndael
alias cipher-17		rc5

# Support for i2c and lm_sensors
alias char-major-89    i2c-dev

# Old nvidia support ...
alias char-major-195 NVdriver 
alias /dev/nvidiactl char-major-195 

### modules-update: end processing /etc/modules.d/aliases

### modules-update: start processing /etc/modules.d/alsa
# Alsa 0.9.X kernel modules' configuration file.
# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsa-modules.conf-rc,v 1.4 2004/11/16 01:31:22 eradicator Exp $

# ALSA portion
alias char-major-116 snd
# OSS/Free portion
alias char-major-14 soundcore

##
## IMPORTANT:
## You need to customise this section for your specific sound card(s)
## and then run `update-modules' command.
## Read alsa-driver's INSTALL file in /usr/share/doc for more info.
##
##  ALSA portion
## alias snd-card-0 snd-interwave
## alias snd-card-1 snd-ens1371
##  OSS/Free portion
## alias sound-slot-0 snd-card-0
## alias sound-slot-1 snd-card-1
##

# OSS/Free portion - card #1
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
##  OSS/Free portion - card #2
## alias sound-service-1-0 snd-mixer-oss
## alias sound-service-1-3 snd-pcm-oss
## alias sound-service-1-12 snd-pcm-oss

alias /dev/mixer snd-mixer-oss
alias /dev/dsp snd-pcm-oss
alias /dev/midi snd-seq-oss

# Set this to the correct number of cards.
options snd cards_limit=1

### modules-update: end processing /etc/modules.d/alsa

### modules-update: start processing /etc/modules.d/ath_pci
# modules.d configuration file for ATH_PCI
# For more information please read:
#    README


# Configurable module parameters
# ------------------------------
# countrycode:	Override default country code
# outdoor:	Enable/disable outdoor use
# xchanmode:	Enable/disable extended channel mode
# rfkill:	Enable/disable RFKILL capability
# autocreate:	Create ath device in [sta|ap|wds|adhoc|ahdemo|monitor] mode. defaults to sta, use 'none' to disable
# ath_debug:	Load-time debug output enable


### modules-update: end processing /etc/modules.d/ath_pci

### modules-update: start processing /etc/modules.d/hostap
# modules.d configuration file for HOSTAP
# For more information please read:
#    README


# Configurable module parameters
# ------------------------------
# other_ap_policy:	Other AP beacon monitoring policy (0-3)
# ap_max_inactivity:	AP timeout (in seconds) for station inactivity
# ap_bridge_packets:	Bridge packets directly between stations
# autom_ap_wds:	Add WDS connections to other APs automatically


### modules-update: end processing /etc/modules.d/hostap

### modules-update: start processing /etc/modules.d/hostap_cs
# modules.d configuration file for HOSTAP_CS


# Configurable module parameters
# ------------------------------
# ignore_cis_vcc:	Ignore broken CIS VCC entry
# mtu:	Maximum transfer unit
# channel:	Initial channel
# essid:	Host AP's ESSID
# iw_mode:	Initial operation mode
# beacon_int:	Beacon interval (1 = 1024 usec)
# dtim_period:	DTIM period
# dev_template:	Prefix for network device name (default: wlan%d)


### modules-update: end processing /etc/modules.d/hostap_cs

### modules-update: start processing /etc/modules.d/hostap_pci
# modules.d configuration file for HOSTAP_PCI


# Configurable module parameters
# ------------------------------
# mtu:	Maximum transfer unit
# channel:	Initial channel
# essid:	Host AP's ESSID
# iw_mode:	Initial operation mode
# beacon_int:	Beacon interval (1 = 1024 usec)
# dtim_period:	DTIM period
# dev_template:	Prefix for network device name (default: wlan%d)


### modules-update: end processing /etc/modules.d/hostap_pci

### modules-update: start processing /etc/modules.d/hostap_plx
# modules.d configuration file for HOSTAP_PLX


# Configurable module parameters
# ------------------------------
# ignore_cis:	Do not verify manfid information in CIS
# mtu:	Maximum transfer unit
# channel:	Initial channel
# essid:	Host AP's ESSID
# iw_mode:	Initial operation mode
# beacon_int:	Beacon interval (1 = 1024 usec)
# dtim_period:	DTIM period
# dev_template:	Prefix for network device name (default: wlan%d)


### modules-update: end processing /etc/modules.d/hostap_plx

### modules-update: start processing /etc/modules.d/i386
alias parport_lowlevel parport_pc
alias char-major-10-144 nvram
alias binfmt-0064 binfmt_aout
alias char-major-10-135 rtc

### modules-update: end processing /etc/modules.d/i386

### modules-update: start processing /etc/modules.d/ipw2100
# modules.d configuration file for IPW2100
# For more information please read:
#    README.ipw2100


# Configurable module parameters
# ------------------------------
# mode:	network mode (0=BSS,1=IBSS,2=Monitor)
# channel:	channel
# associate:	auto associate when scanning (default on)
# disable:	manually disable the radio (default 0 [radio on])


### modules-update: end processing /etc/modules.d/ipw2100

### modules-update: start processing /etc/modules.d/ipw2200
# modules.d configuration file for IPW2200
# For more information please read:
#    README.ipw2200


# Configurable module parameters
# ------------------------------
# disable:	manually disable the radio (default 0 [radio on])
# associate:	auto associate when scanning (default on)
# auto_create:	auto create adhoc network (default on)
# led:	enable led control on some systems (default 0 off)
# channel:	channel to limit associate to (default 0 [ANY])
# rtap_iface:	create the rtap interface (1 - create, default 0)
# qos_enable:	enable all QoS functionalitis
# qos_burst_enable:	enable QoS burst mode
# qos_no_ack_mask:	mask Tx_Queue to no ack
# burst_duration_CCK:	set CCK burst value
# burst_duration_OFDM:	set OFDM burst value
# mode:	network mode (0=BSS,1=IBSS,2=Monitor)
# bt_coexist:	enable bluetooth coexistence (default off)
# hwcrypto:	enable hardware crypto (default off)
# cmdlog:	allocate a ring buffer for logging firmware commands
# roaming:	enable roaming support (default on)
# antenna:	select antenna 1=Main, 3=Aux, default 0 [both], 2=slow_diversity (choose the one with lower background noise)


### modules-update: end processing /etc/modules.d/ipw2200

### modules-update: start processing /etc/modules.d/ipw3945
# modules.d configuration file for IPW3945
# For more information please read:
#    README.ipw3945


# Configurable module parameters
# ------------------------------
# antenna:	select antenna (1=Main, 2=Aux, default 0 [both])
# disable:	manually disable the radio (default 0 [radio on])
# associate:	auto associate when scanning (default 0 off)
# auto_create:	auto create adhoc network (default 1 on)
# led:	enable led control (default 1 on)
# channel:	channel to limit associate to (default 0 [ANY])
# rtap_iface:	create the rtap interface (1 - create, default 0)
# mode:	network mode (0=BSS,1=IBSS,2=Monitor)


### modules-update: end processing /etc/modules.d/ipw3945

### modules-update: start processing /etc/modules.d/ipw3945d
install ipw3945 /sbin/modprobe --ignore-install ipw3945; sleep 0.5; /sbin/ipw3945d --quiet
remove ipw3945 /sbin/ipw3945d --kill; /sbin/modprobe -r --ignore-remove ipw3945

### modules-update: end processing /etc/modules.d/ipw3945d

### modules-update: start processing /etc/modules.d/ndiswrapper
# modules.d configuration file for NDISWRAPPER

# Internal Aliases - Do not edit
# ------------------------------
alias wlan0 ndiswrapper


# Configurable module parameters
# ------------------------------
# if_name:	Network interface name or template (default: wlan%d)
# proc_uid:	The uid of the files created in /proc (default: 0).
# proc_gid:	The gid of the files created in /proc (default: 0).
# debug:	debug level
# hangcheck_interval:	The interval, in seconds, for checking if driver is hung. (default: 0)


### modules-update: end processing /etc/modules.d/ndiswrapper

### modules-update: start processing /etc/modules.d/orinoco
# modules.d configuration file for ORINOCO
# For more information please read:
#    README.orinoco


# Configurable module parameters
# ------------------------------
# suppress_linkstatus:	Don't log link status changes
# ignore_disconnect:	Don't report lost link to the network layer


### modules-update: end processing /etc/modules.d/orinoco

### modules-update: start processing /etc/modules.d/orinoco_cs
# modules.d configuration file for ORINOCO_CS


# Configurable module parameters
# ------------------------------
# ignore_cis_vcc:	Allow voltage mismatch between card and socket


### modules-update: end processing /etc/modules.d/orinoco_cs

### modules-update: start processing /etc/modules.d/orinoco_nortel
# modules.d configuration file for ORINOCO_NORTEL


### modules-update: end processing /etc/modules.d/orinoco_nortel

### modules-update: start processing /etc/modules.d/orinoco_pci
# modules.d configuration file for ORINOCO_PCI


### modules-update: end processing /etc/modules.d/orinoco_pci

### modules-update: start processing /etc/modules.d/orinoco_plx
# modules.d configuration file for ORINOCO_PLX


### modules-update: end processing /etc/modules.d/orinoco_plx

### modules-update: start processing /etc/modules.d/orinoco_tmd
# modules.d configuration file for ORINOCO_TMD


### modules-update: end processing /etc/modules.d/orinoco_tmd

### modules-update: start processing /etc/modules.d/spectrum_cs
# modules.d configuration file for SPECTRUM_CS


# Configurable module parameters
# ------------------------------
# ignore_cis_vcc:	Allow voltage mismatch between card and socket


### modules-update: end processing /etc/modules.d/spectrum_cs

